Package net.sourceforge.jiu.codecs

# Class InvalidFileStructureException

java.lang.Object
java.lang.Throwable
java.lang.Exception
net.sourceforge.jiu.ops.OperationFailedException
net.sourceforge.jiu.codecs.InvalidFileStructureException

All Implemented Interfaces:
  `Serializable`

public class InvalidFileStructureException extends OperationFailedException
This exception is thrown during image loading, when the decoding process is made impossible by errors in the image file. If a codec has recognized the file format but finds irregularities in the data and cannot continue loading, it is supposed to throw an instance of this exception class. An unexpected end of the input stream also falls into this category. This typically means that the file is corrupt, but of course it could also be because of an error in the codec implementation.

If the format is not recognized at all, a `WrongFileFormatException` should be thrown.

If the format is recognized but cannot be loaded because the codec does not fully support the file format, a `UnsupportedTypeException` should be thrown.

Author:
  Marco Schmidt
See Also:
  - `UnsupportedTypeException`
  - `WrongFileFormatException`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidFileStructureException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidFileStructureException

public InvalidFileStructureException(String message)